package com.ozs.kpim.dto.mdm;

import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

/**
 * 
 * @ClassName: MdmInfoColumn
 * @Description: 表字段信息表实体类
 * @author: Zhao You Kai
 * @date: Feb 19, 2019 4:20:55 PM
 */
@Data
public class MdmInfoColumn {

	@ApiModelProperty("ID")
	private String id;
	@ApiModelProperty("字段名称")
	private String columnName;
	@ApiModelProperty("字段描述")
	private String columnComment;
	@ApiModelProperty("字段类型")
	private Integer columnType;
	@ApiModelProperty("字段类型名称")
	private String columnTypeName;
	@ApiModelProperty("字段序列号")
	private String columnCode;
	@ApiModelProperty("字段序列号+C字符串")
	private String columnCodeValue;
	@ApiModelProperty("字段长度")
	private Integer length;
	@ApiModelProperty("字段小数位数")
	private Integer numericScale;
	@ApiModelProperty("是否是主键")
	private Integer ifPrimary;
	@ApiModelProperty("是否可为空")
	private Integer ifNull;
	@ApiModelProperty("字段所属表ID")
	private String tableId;
	@ApiModelProperty("表描述（表中文名）")
	private String tableComment;
	@ApiModelProperty("表名称")
	private String  tableName;
	@ApiModelProperty("字段所属库ID")
	private String databaseId;
	@ApiModelProperty("字段所属库名称")
	private String databaseName;
	@ApiModelProperty("资源名称(数据库中文描述)")
	private String resourceName;
	@ApiModelProperty("创建人ID")
	private String updateUserId;
	@ApiModelProperty("更新时间")
	private String updateTime;
	@ApiModelProperty("是否浮点类型")
	private Integer isFloatPoint;
	@ApiModelProperty("是否时间类型")
	private Integer isTime;
	@ApiModelProperty("是否文本类型")
	private Integer ifChar;

	@ApiModelProperty("用于字段名称展示")
	private String columnNameShow;
	@ApiModelProperty("规则类型 text，number，format")
	private String ruleType;
	@ApiModelProperty("规则类型格式")
	private String ruleFormat;
	@ApiModelProperty("规则类型描述")
	private String ruleTypeDesc;

}
