package com.ozs.rpm.dto.save;

import java.util.List;

import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

/**
 * 
 * @ClassName: SaveReportDTO
 * @Description:报表配置保存模板
 * @author: Zhao You Kai
 * @date: Mar 8, 2019 3:06:54 PM
 */
@Data
public class SaveReportDTO {
	@ApiModelProperty("报表ID")
	private String id;
	@ApiModelProperty("报表名称")
	private String reportName;
	@ApiModelProperty("显示类型：1-整体展示 2-根据一个KPI如通道分组展示")
	private Integer showType;
	@ApiModelProperty("是否下钻")
	private Integer ifDrillDown;
	@ApiModelProperty("最近更新时间")
	private String updateTime;
	@ApiModelProperty("最近更新用户ID")
	private String updateUserId;
	@ApiModelProperty("启用状态：0-停用 1-启用 ")
	private Integer status;
	@ApiModelProperty("报表层级：0-父级 1-子级")
	private Integer reportLevel;
	@ApiModelProperty("是否分页")
	private Integer ifPage;
	@ApiModelProperty("是否合计")
	private Integer ifTotal;
	@ApiModelProperty("布局：1-上图下表 2-上表下图")
	private Integer layoutId;
	@ApiModelProperty("颜色组ID")
	private Integer colorGroupId;
	@ApiModelProperty("当前步骤：1-基本信息配置 2-选择KPI 3-查询条件配置 4-报表关系配置 5-图表配置 6-效果预览")
	private Integer currentStep;
	@ApiModelProperty("是否完成")
	private Integer ifFinish;
	@ApiModelProperty("菜单分类code")
	private String menuCode;
	@ApiModelProperty("已选KPI")
	private List<SaveRportKpiDTO> kpis;
	@ApiModelProperty("柱折混合图信息列表")
	private List<RpmInfoReportChartDTO> barAndLineCharts;
	@ApiModelProperty("饼状图kpi")
	private List<String> pieKpiIds;
	@ApiModelProperty("是否饼图")
	private Integer ifPie;
	@ApiModelProperty("是否柱折混合图")
	private Integer ifBarAndLine;
	@ApiModelProperty("所属展示系统：1-自助报表 2-大屏")
	private Integer displaySystem;
	@ApiModelProperty("是否附加条件")
	private Integer ifRelated;
	@ApiModelProperty("合计数据展示位置 1-数据下方 2 报表上方")
	private Integer totalShowType;

	@ApiModelProperty("DML")
	private String DML;
	@ApiModelProperty("图表类型")
	private String chartType;
	@ApiModelProperty("图表分类code")
	private String chartClassCode;
	@ApiModelProperty("数据库id")
	private String databaseId;
	@ApiModelProperty("数据表id")
	private String tableId;
	@ApiModelProperty("图表json串")
	private String chartJson;
	@ApiModelProperty("富文本文档，图表类型为：富文本")
	private String richText;
	@ApiModelProperty("文件路径，图表类型为：图片、视频")
	private String filePath;
	@ApiModelProperty("图表数据刷新时间,单位：秒")
	private Integer chartRefrech;
	@ApiModelProperty("数据来源，1:KPI 2:DML 3:接口")
	private Integer dataSource;

	@ApiModelProperty("是否需要外部传参数。1是  0否")
	private Integer ifOutsideParam;

	@ApiModelProperty("报表外部传参列表")
	private List<RelReportOutsideParamDTO> reportOutsideParams;

	@ApiModelProperty("默认排序KPI")
	private String queryDefaultSortKpi;

	@ApiModelProperty("默认排序，正序asc 倒叙desc")
	private String queryDefaultOrder;

	@ApiModelProperty("汇总KPI")
	private List<String> totalKpis;

	@ApiModelProperty("下钻KPI属性")
	private List<ReportKpiDrillDown> drillDowns;

	@ApiModelProperty("是否使用可操作聚合,1使用 0不使用")
	private Integer useOperableGroup;
	@ApiModelProperty("使用可操作聚合字段kpiId")
	private List<String> operableGroupKpis;
}
